import pytest
import os 
import sys


sys.path.insert(1, str(os.getcwd())+'/Webservice/setup')
from core import *


def test_get_albums():
    answer=['2112973', '2112975', '2118619', '2118620', '2118654', '2120081', '2120091', '2162908', '2197190', '2197191', '2197192', '2246842', '2267389', '2342066', '2360114']

    assert get_albums("daft punk")==answer

def test_get_all_songs():
    answer=['Daftendirekt', 'WDPK 83.7 FM', 'Revolution 909', 'Da Funk', 'Phœnix', 'Fresh', 'Around the World', "Rollin' & Scratchin'", 'Teachers', 'High Fidelity', "Rock'n Roll", 'Oh Yeah', "Burnin'", 'Indo Silver Club', 'Alive', 'Funk Ad', 'Human After All', 'The Prime Time of Your Life', 'Robot Rock', 'Steam Machine', 'Make Love', 'The Brainwasher', 'On/Off', 'Television Rules the Nation', 'Technologic', 'Emotion', 'Overture', 'The Grid', 'The Son of Flynn', 'Recognizer', 'Armory', 'Arena', 'Rinzler', 'The Game Has Changed', 'Outlands', 'Adagio for TRON', 'Nocturne', 'End of Line', 'Derezzed', 'Fall', 'Solar Sailer', 'Rectifier', 'Disc Wars', 'C.L.U.', 'Arrival', 'Flynn Lives', 'TRON Legacy (End Titles)', 'Finale', 'Father and Son', 'Outlands, Part II', 'Derezzed (The Glitch Mob remix)', 'Fall (M83 vs. Big Black Delta remix)', 'The Grid (The Crystal Method remix)', 'Adagio for TRON (Teddybears remix)', 'The Son of Flynn (Ki:Theory remix)', 'C.L.U. (Paul Oakenfold remix)', 'The Son of Flynn (Moby remix)', 'End of Line (Boys Noize remix)', 'Rinzler (Kaskade remix)', 'Encom, Part II (Com Truise remix)', 'End of Line (Photek remix)', 'Arena (The Japanese Popstars remix)', 'Derezzed (Avicii remix)', 'Solar Sailer (Pretty Lights remix)', 'TRON: Legacy (End Titles) (Sander Kleinenberg remix)', 'One More Time', 'Aerodynamic', 'Digital Love', 'Harder, Better, Faster, Stronger', 'Crescendolls', 'Nightvision', 'Superheroes', 'High Life', 'Something About Us', 'Voyager', 'Veridis Quo', 'Short Circuit', 'Face to Face', 'Too Long', 'Robot Rock / Oh Yeah', 'Touch It / Technologic', 'Television Rules the Nation / Crescendolls', 'Too Long / Steam Machine', 'Around the World / Harder, Better, Faster, Stronger', "Burnin' / Too Long", 'Face to Face / Short Circuit', 'One More Time / Aerodynamic', 'Aerodynamic Beats / Gabrielle - Forget About the World (Daft Punk remix)', "The Prime Time of Your Life / The Brainwasher / Rollin' and Scratchin' / Alive", 'Da Funk / Daftendirekt', "Superheroes / Human After All / Rock'n Roll", 'Human After All / Together / One More Time (reprise) / Stardust â€“ Music Sounds Better With You', 'Da Funk', 'Around the World', "Burnin'", 'Revolution 909', 'One More Time', 'Harder, Better, Faster, Stronger', 'Something About Us', 'Robot Rock', 'Technologic', "Rollin' & Scratchin' (live in L.A.)", 'The Prime Time of Your Life', 'Robot Rock (Maximum Overdrive)', 'Give Life Back to Music', 'The Game of Love', 'Giorgio by Moroder', 'Within', 'Instant Crush', 'Lose Yourself to Dance', 'Touch', 'Get Lucky', 'Beyond', 'Motherboard', 'Fragments of Time', "Doin' It Right", 'Contact', 'Horizon', 'Ouverture', 'Aerodynamic (Daft Punk remix)', 'Harder, Better, Faster, Stronger (The Neptunes remix)', 'Face to Face (Cosmo Vitelli remix)', 'Phoenix (Basement Jaxx remix)', 'Digital Love (Boris Dlugosch remix)', 'Harder, Better, Faster, Stronger (Jess and Crabbe Regulator mix)', 'Face to Face (Demon remix)', 'Crescendolls (Laidback Luke remix)', 'Aerodynamic (Slum Village remix)', 'Too Long (Gonzales version)', 'Aerodynamite', "One More Time (Romanthony's unplugged)", 'Something About Us (Love Theme From Interstella 5555)', 'Alive 1997', 'Robot Rock (Soulwax remix)', 'Human After All (SebastiAn remix)', 'Technologic (Peaches No Logic remix)', "Brainwasher (Erol Alkan's Horrorhouse dub)", 'Prime Time of Your Life (Para One remix)', 'Human After All ("Guy-Man After All" Justice remix)', "Technologic (Digitalism's Highway to Paris remix)", 'Human After All (Alter Ego remix)', 'Technologic (Vitalic remix)', 'Robot Rock (Maximum Overdrive)', 'Da Funk', 'Musique', 'Robot Rock', 'Technologic', 'Television Rules the Nation', 'Steam Machine', 'Around the World (Harder, Better, Faster, Stronger)', 'Too Long', 'Face to Face (Harder remix)', 'Interlude', 'One More Time (Aerodynamic remix)', "The Brainwashers (Rollin' & Scratchin' remix)", 'Alive (The Prime Time of Your Life remix)', 'Da Funk', 'Human After All (Superheroes remix)', 'Legacy Open', 'Motochase', 'Recognizer Capture', 'Sirens', 'Disc Game (intro)', 'Rinzler Vs. Sam', 'Lightbikes Battle', 'Qudrra Saves Same', "Flynn's Flashback", 'Sam Plans Escape', 'End of Line', 'Party Crashers', 'Flynn Drops In', 'Solar Sailer Alt.', 'Clu Speech', 'Recovering the Disc', 'Lightjets', 'Portal Arrival', 'Portal Climax', 'Legacy Theme', 'The New Wave (edit)', 'The New Wave (full length)', 'Assault', 'Alive']
    assert get_all_songs("daft punk")==answer

def test_get_lyrics():
    answer= None 
    assert get_lyrics("daft punk", "stronger")==answer
